// DEFINE.H : just some macros #defined here...

// Copyright (C) 1998 Tommi Hassinen.

// This program is free software; you can redistribute it and/or modify it
// under the terms of the license (GNU GPL) which comes with this package.

////////////////////////////////////////////////////////////////////////////////////////////////////

#include "config.h"	// this is target-dependent...

#ifndef DEFINE_H
#define DEFINE_H

////////////////////////////////////////////////////////////////////////////////////////////////////

#define VERSION "0.2.1"
#define RELEASEDATE "2000-08-01"
#define WEBSITE "http://www.uku.fi/~thassine/ghemical"

////////////////////////////////////////////////////////////////////////////////////////////////////

#define NOT_DEFINED -1		// negative values often mean "not defined"...

////////////////////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////////////////////////

// relative paths, for UNIX

#define MM1_STABLE_PATH "parameters/mm1param/stable/"
#define MM1_UNSTABLE_PATH "parameters/mm1param/unstable/"
#define MM1_AMINO_BUILDER_PATH "parameters/builder/amino.txt"
#define MM1_NUCLEIC_BUILDER_PATH "parameters/builder/nucleic.txt"

#define MM2_PARAM_PATH "parameters/mm2param/"

////////////////////////////////////////////////////////////////////////////////////////////////////

// absolute paths, for UNIX (needed for parallel processing?!?!?!)

//#define MM1_STABLE_PATH "/home/thassine/test/parameters/mm1param/stable/"
//#define MM1_UNSTABLE_PATH "/home/thassine/test/parameters/mm1param/unstable/"
//#define MM1_AMINO_BUILDER_PATH "/home/thassine/test/parameters/builder/amino.txt"
//#define MM1_NUCLEIC_BUILDER_PATH "/home/thassine/test/parameters/builder/nucleic.txt"

//#define MM2_PARAM_PATH "/home/thassine/test/parameters/mm2param/"

////////////////////////////////////////////////////////////////////////////////////////////////////

// relative paths, for WIN32

//#define MM1_STABLE_PATH "parameters\\mm1param\\stable\\"
//#define MM1_UNSTABLE_PATH "parameters\\mm1param\\unstable\\"
//#define MM1_AMINO_BUILDER_PATH "parameters\\builder\\amino.txt"
//#define MM1_NUCLEIC_BUILDER_PATH "parameters\\builder\\nucleic.txt"

//#define MM2_PARAM_PATH "parameters\\mm2param\\"

////////////////////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////////////////////////

#define GLNAME_LIGHT	0x0001
#define GLNAME_OBJECT	0x0002

#define GLNAME_MODEL_DEPENDENT 0xFF00		// all these events are forwarded...

#define GLNAME_MD_TYPE1 (GLNAME_MODEL_DEPENDENT | 0x01)
#define GLNAME_MD_TYPE2 (GLNAME_MODEL_DEPENDENT | 0x02)

////////////////////////////////////////////////////////////////////////////////////////////////////

// should these be made model-dependent ?!?!?!
// should these be made model-dependent ?!?!?!
// should these be made model-dependent ?!?!?!

#define RENDER_NOTHING		0x00
#define RENDER_WIREFRAME	0x01
#define RENDER_BALL_AND_STICK	0x02
#define RENDER_VAN_DER_WAALS	0x03
#define RENDER_ACCESSIBLE	0x04
#define RENDER_CYLINDERS	0x05

#define LABEL_NOTHING		0x00
#define LABEL_ELEMENT		0x01
#define LABEL_BONDTYPE		0x02

////////////////////////////////////////////////////////////////////////////////////////////////////

#endif	// DEFINE_H

// eof
