// QM2ENG.CPP

// Copyright (C) 1998 Tommi Hassinen.

// This program is free software; you can redistribute it and/or modify it
// under the terms of the license (GNU GPL) which comes with this package.

////////////////////////////////////////////////////////////////////////////////////////////////////

#include "qm2eng.h"

////////////////////////////////////////////////////////////////////////////////////////////////////

void CopyCRD(qm2_mdl * p1, qm2_eng * p2, i32u p3)
{
	i32u n1 = 0; iter_qm2al it1;
	for (it1 = p1->atom_list.begin();it1 != p1->atom_list.end();it1++)
	{
		f64 buffer[3];
		buffer[0] = (* it1).crd_vector[p3][0];
		buffer[1] = (* it1).crd_vector[p3][1];
		buffer[2] = (* it1).crd_vector[p3][2];
		p2->PutCRD(n1, buffer);
		
		n1++;
	}
}

void CopyCRD(qm2_eng * p1, qm2_mdl * p2, i32u p3)
{
	i32u n1 = 0; iter_qm2al it1;
	for (it1 = p2->atom_list.begin();it1 != p2->atom_list.end();it1++)
	{
		const f64 * buffer = p1->GetCRD(n1);
		(* it1).crd_vector[p3][0] = buffer[0];
		(* it1).crd_vector[p3][1] = buffer[1];
		(* it1).crd_vector[p3][2] = buffer[2];
		
		n1++;
	}
}

////////////////////////////////////////////////////////////////////////////////////////////////////

qm2_eng::qm2_eng(qm2_mdl & p1) : bs_eng(), model(p1)
{
	natm = GetModel()->atom_list.size();
}

qm2_eng::~qm2_eng(void)
{
}

////////////////////////////////////////////////////////////////////////////////////////////////////

// eof
