// QM1GUI.H : a graphical user interface for qm1-models.

// Copyright (C) 2000 Tommi Hassinen.

// This program is free software; you can redistribute it and/or modify it
// under the terms of the license (GNU GPL) which comes with this package.

////////////////////////////////////////////////////////////////////////////////////////////////////

#include "config.h"	// this is target-dependent...

#ifndef QM1GUI_H
#define QM1GUI_H

#ifdef ENABLE_GUI

class qm1_gui;

////////////////////////////////////////////////////////////////////////////////////////////////////

#include "guibase.h"
#include "qm1mdl.h"

////////////////////////////////////////////////////////////////////////////////////////////////////

class qm1_gui : public bs_gui, public qm1_mdl
{
	public:
	
	public:
	
	qm1_gui(window_factory &, ostream *);
	~qm1_gui(void);
	
	const char * GetType(void);			// virtual
	color_mode * GetDefaultColorMode(void);		// virtual
	
	void SelectAll(void);				// virtual
	void InvertSelection(void);			// virtual
	
	void InitGL(void);				// virtual
	void Render(view_window *, rmode);		// virtual
	
	void Center(transformer *);			// virtual
	void Transform(transformer *);			// virtual
	
	void DrawEvent(view_window *, vector<iGLu> &);		// virtual
	void EraseEvent(view_window *, vector<iGLu> &);		// virtual
	void SelectEvent(view_window *, vector<iGLu> &);	// virtual
	
#ifdef TARGET2

	void KeyEvent(view_window *, char, int, int);		// virtual
	
#endif	// TARGET2

#ifdef TARGET3

	void PopupEvent(view_window *, int);			// virtual
	
#endif	// TARGET3

};

////////////////////////////////////////////////////////////////////////////////////////////////////

#endif	// ENABLE_GUI
#endif	// QM1GUI_H

// eof
