// T3MAIN.H : main for TARGET3 (the GNOME version).

// Copyright (C) 1999 Tommi Hassinen, Ville Heikkil.

// This program is free software; you can redistribute it and/or modify it
// under the terms of the license (GNU GPL) which comes with this package.

////////////////////////////////////////////////////////////////////////////////////////////////////

#include "config.h"	// this is for TARGET3...

#ifndef T3MAIN_H
#define T3MAIN_H

class gnome_app_gt3;

////////////////////////////////////////////////////////////////////////////////////////////////////

#include "t3window.h"

#include "qm2gui.h"
#include "mm1gui.h"

#include <gnome.h>

////////////////////////////////////////////////////////////////////////////////////////////////////

#define SIGNAL_APP_FILE_NEW_QM2			0x00010112
#define SIGNAL_APP_FILE_NEW_MM1			0x00010121
#define SIGNAL_APP_FILE_NEW_MM2			0x00010122

#define SIGNAL_APP_FILE_EXIT			0x00010500

#define SIGNAL_APP_HELP_ABOUT			0x00020100

////////////////////////////////////////////////////////////////////////////////////////////////////

class gnome_app_gt3
{
	private:
	
	static GnomeUIInfo file_new_submenu[];
	static GnomeUIInfo file_submenu[];
	
	static GnomeUIInfo help_submenu[];
	
	static GnomeUIInfo menubar_info[];
	
	private:
	
	static GnomeUIInfo toolbar_info[];
	
	protected:
	
	static GtkWidget * main_window;
	static GtkWidget * current_tool_widget;
	
	GtkWidget * tool_draw_widget;
	GtkWidget * tool_erase_widget;
	GtkWidget * tool_select_widget;
	GtkWidget * tool_zoom_widget;
	GtkWidget * tool_translate_xy_widget;
	GtkWidget * tool_translate_z_widget;
	GtkWidget * tool_orbit_xy_widget;
	GtkWidget * tool_orbit_z_widget;
	GtkWidget * tool_rotate_xy_widget;
	GtkWidget * tool_rotate_z_widget;
	
	private:
	
	static gnome_app_gt3 * instance;
	gnome_app_gt3(void);
	
	public:
	
	~gnome_app_gt3(void);
	static gnome_app_gt3 * GetInstance(void);
	
	void HelpAbout(void);
	gboolean CheckExit(void);
	
	static void MenuItemHandler(GtkWidget *, gpointer);
	static void ToolButtonHandler(GtkWidget *, gpointer);
	
	static gboolean DeleteEventHandler(GtkWidget *, GdkEvent *, gpointer);
	static void DestroyHandler(GtkWidget *, gpointer);
};

////////////////////////////////////////////////////////////////////////////////////////////////////

int main(int, char **);

////////////////////////////////////////////////////////////////////////////////////////////////////

#endif	// T3MAIN_H

// eof
